Introduction
Deploy highly available containerized apps in Kubernetes clusters and use the powerful tools of IBM Cloud Kubernetes Service to automate, isolate, secure, manage, and monitor your workloads across cloud locations. Use the IBM Cloud Kubernetes Service API to manage your Kubernetes cluster infrastructure in IBM Cloud. For example, you can create clusters; add capacity for your workloads by resizing worker pools; manage networking, storage, and logging resources that are attached to your cluster; and enable IBM Cloud add-ons to optimize your cluster management experience. To use the Kubernetes API to manage your application workloads within your cluster, see the product documentation.
Before you begin
- Make sure that you have access to a paid IBM Cloud account.
- Choose a strategy for setting up and maintaining a cluster. This process includes choosing worker node flavors, setting up networking, and selecting the highest available configuration as possible.
Charges
With IBM Cloud Kubernetes Service clusters, you can use IBM Cloud infrastructure compute, networking, and storage resources with platform services such as Watson AI or Compose Database-as-a-Service. Each resource might entail its own charges that can be fixed, metered, tiered, or reserved. For more information, see What am I charged for when I use IBM Cloud Kubernetes Service?
Authorization
To use the IBM Cloud Kubernetes Service API, you must be authorized to work with the service in IBM Cloud Identity and Access Management (IAM). The service uses IAM platform and service access roles to determine your permissions and the actions that you can perform. Make sure that you are assigned Permissions to create a cluster.
Beginning with version 4.0.0, the Node SDK returns a Promise for all methods when a callback isn't specified.
The package location moved to ibm-watson. It's available at watson-developer-cloud but is not updated there. Use ibm-watson to stay up to date.
IAM and Activity Tracker actions by API method
For a list of the IBM Cloud Identity and Access Management (IAM) action and Activity Tracker events by API method, see the product documentation.
Versioning
The API is versioned to support the different infrastructure providers that are available for you to create clusters. All /v1 APIs can be used to work only with IBM Cloud classic infrastructure. To work with a cluster that was provisioned on IBM Virtual Private Cloud (VPC) infrastructure, you must use the /v2 API.
For information about the API versions, see About the API.
Error handling
This API uses standard HTTP response codes to indicate whether a method completed successfully. A 200 response indicates success. A 400 type response is some sort of failure, and a 500 type response usually indicates an internal system error.
| HTTP error code | Description | Recovery |
|---|---|---|
200 |
Success | The request was successful. |
400 |
Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Include all required parameters in your request. |
401 |
Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions. |
403 |
Forbidden | The supplied authentication is not authorized to access the cluster or an associated cluster resource. Check that you have the correct access credentials and permissions. |
404 |
Not Found | The requested resource could not be found. |
408 |
Request Timeout | The connection to the server timed out. Wait a few minutes, then try again. |
409 |
Conflict | The cluster or an associated cluster resource with the same name or ID already exists. |
500 |
Internal Server Error | IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support. |
Methods
Get the autoscaling configuration for an ALB
Get the autoscaling configuration for an ALB. The autoscaling feature is enabled when there is a configuration set for the ALB. If the configuration is missing, the feature is disabled.
GET /ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleRequest
Path Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the
GET /clusters/{idOrName}API or runibmcloud ks alb ls --cluster <cluster_name_or_ID>.
curl -X GET "/global/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscale" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Successful response.
Status Code
Ok. The autoscaling configuration for your ALB is returned.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. No autoscale configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Set the autoscaling configuration for an ALB
Set an autoscaling configuration for an ALB. Setting a configuration enables the autoscaling feature. You can also use this endpoint to change the autoscaling configuration.
PUT /ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleRequest
Path Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the
GET /clusters/{idOrName}API or runibmcloud ks alb ls --cluster <cluster_name_or_ID>.
New autoscale configuration to be set.
AutoscaleConfig is used for configuring autoscaling for albs
curl -X PUT "/global/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscale" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "config": { "cpuAverageUtilization": 1, "customMetrics": "example-value", "maxReplicas": 1, "minReplicas": 1 } }'
Response
Successful response.
Status Code
Ok. The provided autoscaling configuration for your ALB is set.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. The the specified cluster or ALB could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Delete the autoscaling configuration for an ALB
Delete an autoscaling configuration for the ALB. Deleting the configuration disables autoscaling.
DELETE /ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleRequest
Path Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the
GET /clusters/{idOrName}API or runibmcloud ks alb ls --cluster <cluster_name_or_ID>.
curl -X DELETE "/global/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscale" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Status Code
Ok. Autoscale config was unset successfully.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. No autoscaling configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Create an Ingress domain for a cluster
Create an Ingress domain for a cluster.
POST /ingress/v2/dns/createDomain
Request
Input parameter to create a domain.
The ips value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The hostname value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The provider value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretNamespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The zoneID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/dns/createDomain" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "crn": "example-value", "hostname": "my-cluster", "ips": [ "example-value" ], "isDefault": false, "provider": "vpc-gen2", "secretNamespace": "my-cluster", "zoneID": "example-id-123" }'
Response
ExtendedNlbVPCConfig is the response body for the get v2 vpc apis
The nlbIPArray value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The certProvider value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The dnsType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The lbHostname value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The nlbSubdomain value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The provider value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretNamespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The statusMessage value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The zoneID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Created. The domain is created.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "certProvider": "vpc-gen2", "cluster": "example-value", "crn": "example-value", "dnsType": "example-value", "isDefault": false, "lbHostname": "my-cluster", "nlbIPArray": [ "example-value" ], "nlbSubdomain": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Deprecated: Delete external domain provider credential
Deprecated: Delete the registered external provider credential for a cluster.
POST /ingress/v2/dns/deleteCredential
Request
Query Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X POST "/global/ingress/v2/dns/deleteCredential?cluster=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Status Code
No Content. The credential was successfully fetched.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Delete a non-default Ingress domain for a cluster
Delete a non-default Ingress domain for a cluster.
POST /ingress/v2/dns/deleteDomain
Request
Input parameter to delete a domain.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The subdomain value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/dns/deleteDomain" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "subdomain": "example-value" }'
Response
Successful response.
Status Code
Ok. The domain is deleted.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Deprecated: Get external domain provider credential metadata
Deprecated: Get metadata for the registered external provider credential for a cluster.
GET /ingress/v2/dns/getCredential
Request
Query Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X GET "/global/ingress/v2/dns/getCredential?cluster=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
GetCredentials is the return model for a get on a credential
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The credID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The provider value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Ok. The credential was successfully fetched.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "credID": "example-id-123", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "provider": "vpc-gen2" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Replace the existing default Ingress domain for a cluster
Replace the default Ingress domain for a cluster and refresh the related cluster components.
POST /ingress/v2/dns/replaceDefaultSubdomain
Request
Input parameter to replace default domain.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The subdomain value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/dns/replaceDefaultSubdomain" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "subdomain": "example-value" }'
Response
Successful response.
Status Code
Ok. The default domain is replaced.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Deprecated: Set external domain provider credential
Deprecated: Register a credential for external domain provider for use in ingress domain commands.
POST /ingress/v2/dns/setCredential
Request
Input parameter to register an external domain provider credential.
AkamaiCredentials is the struct representation of Akamai creds
CloudflareCredentials is the struct representation of Cloudflare creds
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The provider value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/dns/setCredential" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "akamai_credentials": { "access_token": "example-value", "client_secret": "example-value", "client_token": "example-value", "host": "example-value", "zone": "us-south-1" }, "cloudflare_credentials": { "token": "example-value", "zone_id": "example-id-123" }, "cluster": "example-value", "provider": "vpc-gen2" }'
Response
Successful response.
Status Code
Created. The credential was successfully registered.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Update an Ingress domain for a cluster
Update an Ingress domain with the specified IPs or hostnames.
POST /ingress/v2/dns/updateDomain
Request
Input parameter to update a domain.
The ips value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The domain value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The hostname value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/dns/updateDomain" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "domain": "example-value", "hostname": "my-cluster", "ips": [ "example-value" ] }'
Response
Successful response.
Status Code
Ok. The domain is updated.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Get configuration of load balancers for Ingress ALBs
Get settings for load balancers that expose Ingress ALBs in your cluster.
GET /ingress/v2/load-balancer/configuration
Request
Query Parameters
The name or ID of the cluster.
Type of load balancer configuration to return. Possible options are
publicandprivate.
curl -X GET "/global/ingress/v2/load-balancer/configuration?cluster=example-value&type=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
LBConfig struct models load balancer configuration
LBBackendConfig stuct for configuring the loadbalancer's backend
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$LBProxyProtocolConfig stuct for storing the loadbalancer's proxy protocol config in etcd
The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Ok. The load balancer configuration for the specified type is returned.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. The specified cluster could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{ "backend": { "private": "example-value", "public": "example-value" }, "cluster": "example-value", "proxyProtocol": { "cidr": [ "example-id-123" ], "enable": true, "headerTimeout": 1 }, "type": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Update the configuration of load balancers for Ingress ALBs
Configure settings for load balancers that expose Ingress ALBs in your cluster. After you use this API to set load balancer options, the existing load balancers are deleted and recreated, which can cause service disruptions. Two unused IP addresses for each new load balancer must be available in each subnet during the load balancer recreation. To configure load balancers that expose only your public ALBs or only your private ALBs, specify public or private for the type field in the request body. If you leave the type field empty, the configuration is applied to all load balancers that expose ALBs in the cluster.
Available features:
proxyProtocol:- Limitations:
- This feature is supported only for VPC Gen 2 clusters that run Kubernetes version 1.18 or later.
- This feature is cluster-level, therefore
typefield of the request must be empty.
- Configuration:
enable: Set totrueto enable orfalseto disable the PROXY protocol for the ALB load balancers. The PROXY protocol enables load balancers to pass client connection information that is contained in headers on the client request, including the client IP address, the proxy server IP address, and both port numbers, to ALBs.headerTimeout: The timeout value, in seconds, for the load balancer to receive the PROXY protocol headers that contain the client connection information. This option has effect only on ALBs running the Kubernetes Ingress image. Default:5cidr: Load balancer CIDRs from which ALBs process information in PROXY protocol headers. If requests that contain PROXY headers originate from load balancers in other IP ranges, the information in the headers is not process by the ALB. This option has effect only on ALBs running the Kubernetes Ingress image. Default:0.0.0.0/0
- Limitations:
PATCH /ingress/v2/load-balancer/configuration
Request
Custom Headers
Allowable values: [
application/json,application/merge-patch+json]
In the request body, specify the desired configuration of load balancer features you want to change.
LBBackendConfig stuct for configuring the loadbalancer's backend
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$LBProxyProtocolConfig stuct for storing the loadbalancer's proxy protocol config in etcd
The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X PATCH "/global/ingress/v2/load-balancer/configuration" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "backend": { "private": "example-value", "public": "example-value" }, "cluster": "example-value", "proxyProtocol": { "cidr": [ "example-id-123" ], "enable": true, "headerTimeout": 1 }, "type": "example-value" }'
Response
Successful response.
Status Code
Load-balancer configuration submitted and update started.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. The specified cluster could not be found.
Locked. The previous load-balancer configuration is still in progress.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Man
Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Manager.
POST /ingress/v2/secret/addField
Request
Input parameter to add a secret field.
The add value.
Possible values: 0 ≤ number of items ≤ 100
The remove value.
Possible values: 0 ≤ number of items ≤ 100
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/addField" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "add": [ { "append_prefix": false, "crn": "example-value", "name": "my-cluster" } ], "cluster": "example-value", "crn": "example-value", "name": "my-cluster", "namespace": "my-cluster", "remove": [ { "name": "my-cluster" } ] }'
Response
Secret struct holding details for a single secret
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Updated. The fields were successfully added to the secret in the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager
Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager.
POST /ingress/v2/secret/createSecret
Request
Input parameter to add a secret.
The add value.
Possible values: 0 ≤ number of items ≤ 100
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/createSecret" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "add": [ { "append_prefix": false, "crn": "example-value", "name": "my-cluster" } ], "cluster": "example-value", "crn": "example-value", "name": "my-cluster", "namespace": "my-cluster", "persistence": false, "type": "example-value" }'
Response
Secret struct holding details for a single secret
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Created. The secret was successfully created in the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Delete an Ingress secret from the cluster
Delete an Ingress secret from the cluster.
POST /ingress/v2/secret/deleteSecret
Request
Input parameter to add a secret.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/deleteSecret" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "name": "my-cluster" }'
Response
Status Code
Deleted. The secret was successfully deleted from the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Request
Query Parameters
The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.The name of the secret that you want information about. To list the secrets that you have access to, use the
GET /ingress/v2/secret/getSecretsAPI or runibmcloud ks ingress secret ls.The namespace of the secret that you want information about. To list the secrets that you have access to, use the
GET /ingress/v2/secret/getSecretsAPI or runibmcloud ks ingress secret ls.
curl -X GET "/global/ingress/v2/secret/getSecret?cluster=example-value&name=my-cluster&namespace=my-cluster" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Secret struct holding details for a single secret
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Ok. Detailed information about the secret is returned.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
View Ingress secrets for a cluster
View Ingress secrets for a cluster.
GET /ingress/v2/secret/getSecrets
Request
Query Parameters
The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.To view previously deleted secrets, pass
true.
curl -X GET "/global/ingress/v2/secret/getSecrets?cluster=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Secrets struct for a secret array
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Ok. The list of available Ingress secrets is returned.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
[ { "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" } ]{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Remove fields from an Ingress secret with a secret stored in IBM Cloud Secret
Remove fields from an Ingress secret with a secret stored in IBM Cloud Secrets Manager.
POST /ingress/v2/secret/removeField
Request
Remove input parameter to remove a secret field.
The add value.
Possible values: 0 ≤ number of items ≤ 100
The remove value.
Possible values: 0 ≤ number of items ≤ 100
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/removeField" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "add": [ { "append_prefix": false, "crn": "example-value", "name": "my-cluster" } ], "cluster": "example-value", "crn": "example-value", "name": "my-cluster", "namespace": "my-cluster", "remove": [ { "name": "my-cluster" } ] }'
Response
Secret struct holding details for a single secret
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Updated. The fields were successfully removed from the secret in the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Update an Ingress secret with a secret stored in IBM Cloud Secrets Manager
Update an Ingress secret with a secret stored in IBM Cloud Secrets Manager.
POST /ingress/v2/secret/updateSecret
Request
Input parameter to add a secret.
The add value.
Possible values: 0 ≤ number of items ≤ 100
The remove value.
Possible values: 0 ≤ number of items ≤ 100
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/updateSecret" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "add": [ { "append_prefix": false, "crn": "example-value", "name": "my-cluster" } ], "cluster": "example-value", "crn": "example-value", "name": "my-cluster", "namespace": "my-cluster", "remove": [ { "name": "my-cluster" } ] }'
Response
Secret struct holding details for a single secret
The domains value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$deprecated: use "Domains" instead
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The expiresOn value.
Possible values: 1 ≤ length ≤ 256
Fields struct for a secret array
Possible values: 0 ≤ number of items ≤ 100
The lastUpdatedTimestamp value.
Possible values: 1 ≤ length ≤ 256
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The namespace value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The persistence value.
The secretType value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Created. The secret was successfully created in the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "cluster": "example-value", "crn": "example-value", "domain": "example-value", "domains": [ "example-value" ], "expiresOn": "2024-01-15T10:30:00Z", "fields": [ { "crn": "example-value", "expiresOn": "2024-01-15T10:30:00Z", "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster", "secretType": "example-value" } ], "lastUpdatedTimestamp": "2024-01-15T10:30:00Z", "name": "my-cluster" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
View an IBM Cloud Secrets Manager instance registered to the cluster
View an IBM Cloud Secrets Manager instance registered to the cluster.
GET /ingress/v2/secret/getInstance
Request
Query Parameters
The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.The name of the instance that you want information about. To list the instances that you have access to, use the
GET /ingress/v2/secret/getInstancesAPI or runibmcloud ks ingress secret instance ls.
curl -X GET "/global/ingress/v2/secret/getInstance?cluster=example-value&name=my-cluster" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Instance struct holding details for a single instance
The callbackChannel value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupName value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Ok. Detailed information about the secret is returned.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "callbackChannel": "example-value", "cluster": "example-value", "crn": "example-value", "isDefault": false, "name": "my-cluster", "secretGroupID": "example-id-123", "secretGroupName": "my-cluster", "status": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
View IBM Cloud Secrets Manager instances registered to the cluster
View IBM Cloud Secrets Manager instances registered to the cluster.
GET /ingress/v2/secret/getInstances
Request
Query Parameters
The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.To view previously deleted instances, pass
true.
curl -X GET "/global/ingress/v2/secret/getInstances?cluster=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Instances struct for a secret array
The callbackChannel value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupName value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Ok. The list of available Ingress secrets is returned.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
[ { "callbackChannel": "example-value", "cluster": "example-value", "crn": "example-value", "isDefault": false, "name": "my-cluster", "secretGroupID": "example-id-123", "secretGroupName": "my-cluster", "status": "example-value" } ]{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Register an IBM Cloud Secrets Manager instance to the cluster
Register an IBM Cloud Secrets Manager instance to the cluster.
POST /ingress/v2/secret/registerInstance
Request
Input parameter to register an instance.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The secretGroupID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/registerInstance" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "crn": "example-value", "isDefault": false, "secretGroupID": "example-id-123" }'
Response
Instance struct holding details for a single instance
The callbackChannel value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The crn value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupName value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The status value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The userManaged value.
Status Code
Created. The instance was successfully registered to the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "callbackChannel": "example-value", "cluster": "example-value", "crn": "example-value", "isDefault": false, "name": "my-cluster", "secretGroupID": "example-id-123", "secretGroupName": "my-cluster", "status": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Unregister an IBM Cloud Secrets Manager instance from the cluster
Unregister an IBM Cloud Secrets Manager instance from the cluster.
POST /ingress/v2/secret/unregisterInstance
Request
Input parameter to unregister an instance.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/unregisterInstance" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "name": "my-cluster" }'
Response
Successful response.
Status Code
Deleted. The secret was successfully deleted from the cluster.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Update an IBM Cloud Secrets Manager instance registration configuration to th
Update an IBM Cloud Secrets Manager instance registration configuration to the cluster.
POST /ingress/v2/secret/updateInstance
Request
Input parameter to update instance registration.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The isDefault value.
The name value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The secretGroupID value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/ingress/v2/secret/updateInstance" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "isDefault": false, "name": "my-cluster", "secretGroupID": "example-id-123" }'
Response
Successful response.
Status Code
Update. The instance was successfully updated.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified instance could not be found. To list the registered instances that you have access to, use the
GET /v2/secret/getInstancesAPI or runibmcloud ks ingress secret instance ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Get the configuration of a cluster's port 80 security settings
Get the configuration of a cluster's port 80 security settings.
GET /ingress/v2/security/port80
Request
Query Parameters
The name or ID of the cluster.
curl -X GET "/global/ingress/v2/security/port80?cluster=example-value" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Port80Config struct models port 80 configuration
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The state value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Ok. The port 80 configuration for the specified cluster is returned.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. The specified cluster could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{ "cluster": "example-value", "state": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Enable port 80 on the cluster
Enable port 80 on a Kubernetes or Red Hat OpenShift cluster. For clusters created after December 1, 2025, port 80 belonging to the default OpenShift router and Kubernetes ingress is disabled by default. Configure this setting to enable the port.
PATCH /ingress/v2/security/port80
Request
Custom Headers
Allowable values: [
application/json,application/merge-patch+json]
Specify the security setting for port 80.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The state value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X PATCH "/global/ingress/v2/security/port80" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "state": "example-value" }'
Response
Successful response.
Status Code
Port 80 security configuration submitted and update started.
Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.
Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.
Not found. The specified cluster could not be found.
Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Get the OAuth access type for a VPC cluster
Get the OAuth access type for a VPC cluster.
GET /network/v2/oauth-access-type/{id_or_name}Request
Path Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X GET "/global/network/v2/oauth-access-type/my-cluster" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
OauthAccessTypeJSON for request and response
The oauth access type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Ok. The OAuth access type for the specified cluster is returned.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "oauth_access_type": "example-value" }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Set the OAuth access type for a VPC cluster
Set the OAuth access type for a VPC cluster.
POST /network/v2/oauth-access-type/{id_or_name}/setRequest
Path Parameters
The name or ID of the cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
Specify the OAuth access type that you want to use. Accepted values are vpegw or legacy.
The oauth access type value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/network/v2/oauth-access-type/my-cluster/set" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "oauth_access_type": "example-value" }'
Response
Successful response.
Status Code
Accepted. The request to set the OAuth access type was successful.
The OAuth access type you specified is not supported.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Modify the outbound traffic protection policy for a VPC cluster using Secure
Modify the outbound traffic protection policy for a VPC cluster using Secure .
POST /network/v2/outbound-traffic-protection
Request
Specify the outbound traffic protection policy for your cluster. Available options are enable-outbound-protection and disable-outbound-protection.
The cluster value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The operation value.
Possible values: 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X POST "/global/network/v2/outbound-traffic-protection" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "cluster": "example-value", "operation": "example-value" }'
Response
Successful response.
Status Code
Accepted. The request to set the outbound traffic protection policy was successful.
Bad request. The query parameters are either incomplete or in the wrong format.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Get a Satellite cluster's service endpoint allowlist
List all subnets in the Satellite allowlist for a Satellite cluster's service endpoint. This list includes subnets that you manually added by using the PATCH /network/v2/satellite-acl/{idOrName}/add API and subnets that are automatically added and managed by IBM, such as worker node subnets.
GET /network/v2/satellite-acl/{id_or_name}Request
Custom Headers
The ID of the resource group that the Satellite cluster is in. To check the resource group ID of the cluster, use the
GET /v1/clusters/idOrNameAPI.
Path Parameters
The name or ID of the Satellite cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X GET "/global/network/v2/satellite-acl/{id_or_name}" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
SatelliteACLResponse response for GET request
The actualCSEACLList value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$The desiredCSEACLList value.
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
Status Code
Ok. The allowlist for the Satellite cluster's service endpoint is returned.
Bad request. Satellite Service Endpoint Allowlist feature is disabled on the specified cluster.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "actualCSEACLList": [ "example-value" ], "desiredCSEACLList": [ "example-value" ] }{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Disable the subnet allowlist for a Satellite cluster's service endpoint
Disable the subnet allowlist feature for a Satellite cluster's service endpoint. After you disable this feature, authorized requests to your Satellite cluster master through the Satellite cluster's service endpoint can originate from any subnet.
DELETE /network/v2/satellite-acl/{id_or_name}Request
Custom Headers
The ID of the resource group that the Satellite cluster is in. To check the resource group ID of the cluster, use the
GET /v1/clusters/idOrNameAPI.
Path Parameters
The name or ID of the Satellite cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X DELETE "/global/network/v2/satellite-acl/{id_or_name}" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Region: us-south"
Response
Successful response.
Status Code
Accepted. The request to disable the Satellite allowlist feature for your Satellite cluster's service endpoint was successfully processed.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Add subnets to a Satellite cluster's service endpoint allowlist
When you add a subnet to a disabled Satellite cluster's service endpoint allowlist, the Satellite allowlist is automatically enabled. Only authorized requests to your Satellite cluster master that originate from subnets in this allowlist are permitted through the Satellite cluster's service endpoint. The subnets for your Satellite cluster's worker nodes must be added to this allowlist for the worker nodes to communicate with the master through the Satellite service endpoint.
PATCH /network/v2/satellite-acl/{id_or_name}/addRequest
Custom Headers
The ID of the resource group that the cluster is in. To check the resource group ID of the cluster, use the
GET /v1/clusters/idOrNameAPI.Allowable values: [
application/json,application/merge-patch+json]
Path Parameters
The name or ID of the Satellite cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
The list of subnets to add to the Satellite cluster's service endpoint allowlist.
The ACL list to patch
Possible values: 0 ≤ number of items ≤ 100, 1 ≤ length ≤ 256, Value must match regular expression
^[\s\S]*$
curl -X PATCH "/global/network/v2/satellite-acl/my-cluster/add" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Auth-Resource-Group: example-id-123" -H "X-Region: us-south" -H "Content-Type: application/json" -d '{ "aclList": [ "example-value" ] }'
Response
Successful response.
Status Code
Created. The subnets are successfully added to the Satellite cluster's service endpoint allowlist.
No content. The subnets are successfully added to the Satellite cluster's service endpoint allowlist.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{}{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Enable the subnet allowlist for a Satellite cluster's service endpoint
Enable the subnet allowlist feature for a Satellite cluster's service endpoint. After you enable this feature, you can use the PATCH /network/v2/satellite-acl/{idOrName}/add API to add subnets to the allowlist for this Satellite cluster's service endpoint. Only authorized requests to your Satellite cluster master that originate from subnets in the allowlist are permitted through the Satellite cluster's service endpoints.
POST /network/v2/satellite-acl/{id_or_name}/enableRequest
Custom Headers
The ID of the resource group that the cluster is in. To check the resource group ID of the cluster, use the
GET /v1/clusters/idOrNameAPI.
Path Parameters
The name or ID of the Satellite cruiser. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
curl -X POST "/global/network/v2/satellite-acl/my-cluster/enable" -H "Authorization: Bearer $IAM_TOKEN" -H "X-Auth-Resource-Group: example-id-123" -H "X-Region: us-south"
Response
Successful response.
Status Code
Accepted. The request to enable the allowlist feature for your Satellite cluster's service endpoint was successfully processed.
Bad request. The Satellite service endpoint allowlist feature is already enabled on the specified cluster.
Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run
ibmcloud loginand thenibmcloud iam oauth-tokens.Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.
{ "code": "E0001", "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud iam oauth-tokens", "terseDescription": "Unauthorized", "type": "Authentication" }{ "code": "E0002", "description": "The requested resource could not be found. Verify the resource ID and try again.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster ls", "terseDescription": "Not found", "type": "NotFound" }{ "code": "E0003", "description": "An internal server error occurred. Try again later or contact support if the problem persists.", "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>", "terseDescription": "Internal error", "type": "InternalServerError" }
Remove subnets from a Satellite cluster's service endpoint allowlist
Remove subnets that you previously added to the allowlist for a Satellite cluster's service endpoint. After a subnet is removed, any requests that originate from this subnet to the Satellite cluster master through the service endpoint are denied.
PATCH /network/v2/satellite-acl/{id_or_name}/rmRequest
Custom Headers
The ID of the resource group that the Satellite cluster is in. To check the resource group ID of the cluster, use the
GET /v1/clusters/idOrNameAPI.Allowable values: [
application/json,application/merge-patch+json]
Path Parameters
The name or ID of the Satellite cluster. To list the clusters that you have access to, use the
GET /v1/clustersAPI or runibmcloud ks cluster ls.
[...]
